function [ Xtrain, Ltrain, Xtest, Ltest ] = define_learningset( X, Labels, trainRatio )
%DEFINE_LEARNINGSET Summary of this function goes here
%   X - NxD matrix, N observations with D properties
%   Labels - Nx1 vector, the labels
%   trainRatio - the fraction of observations to be used as training set
%
%   Xtrain - Training inputs
%   Ltrain - Training labels
%   Xtest  - Testing inputs
%   Ltest  - Testing labels

% Shuffle the dataset
N = size(X,1);
shuffleorder = randperm(N);
Xs = X(shuffleorder, :);
Ys = Labels(shuffleorder);

% Sample training set randomly
trainIdx = define_trainingset(Ys, trainRatio);
testIdx = ~trainIdx;

Xtrain = Xs(trainIdx, :);
Ltrain = Ys(trainIdx);
Xtest = Xs(testIdx,:);
Ltest = Ys(testIdx);


end

